// Copyright 2018 RED Software, LLC. All Rights Reserved.
#pragma once

class AppWindow
{
public:
	AppWindow();
	~AppWindow();

	static HANDLE mMutexHandle;

	static LPCTSTR GetWindowClassName() { return mWindowClassName; }

	unsigned int GetWidth() const { return mWidth; }
	unsigned int GetHeight() const { return mHeight; }

	NiWindowRef GetHWND() const { return mWnd; }

	NiWindowRef Create(NiInstanceRef hi, unsigned int width, unsigned int height);

	static TCHAR mWindowClassName[];

private:
	NiWindowRef mWnd;

	unsigned int mWidth;
	unsigned int mHeight;

	unsigned long mWindowStyle;
};

